{
  "compilerOptions": {
    "target": "ESNext",
    "lib": ["DOM", "DOM.Iterable", "ESNext"],
    "module": "ESNext",
    "skipLibCheck": true,
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "react-jsx",
    "strict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noFallthroughCasesInSwitch": true,
    "baseUrl": ".",
    "paths": {
      "@/*": ["src/*"],
      "@/api/*": ["src/api/*"]
    },
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "types": [
      "node",
      "react",
      "react-dom",
      "react-router-dom",
      "jest"
    ]
  },
  "include": ["src", "tailwind.config.js"],
  "exclude": ["node_modules"]
}
